commit 754a6eb9f81a4a40a2a0102ffe1bfdbba734b36a
Author: hasufell <hasufell@gentoo.org>
Date:   Mon Nov 18 21:54:54 2013 +0100

    fix static build

diff --git a/mk/cmake/Modules/FindOGG.cmake b/mk/cmake/Modules/FindOGG.cmake
index 2a026cc..8ca8a23 100644
--- a/mk/cmake/Modules/FindOGG.cmake
+++ b/mk/cmake/Modules/FindOGG.cmake
@@ -19,11 +19,11 @@
 
 FIND_PATH(OGG_INCLUDE_DIR ogg/ogg.h)
 
-#IF (OGG_STATIC AND NOT OGG_LIBRARY)
-#	FIND_LIBRARY(OGG_LIBRARY NAMES libogg.a ogg)
-#ELSE()
-	FIND_LIBRARY(OGG_LIBRARY NAMES ogg)
-#ENDIF()
+IF (OGG_STATIC AND NOT OGG_LIBRARY)
+	FIND_LIBRARY(OGG_LIBRARY NAMES libogg.a)
+ELSE()
+	FIND_LIBRARY(OGG_LIBRARY NAMES libogg.so)
+ENDIF()
 
 #IF (OGG_STATIC AND NOT VORBIS_LIBRARY)
 #	FIND_LIBRARY(VORBIS_LIBRARY NAMES libvorbis.a vorbis)
--- a/mk/cmake/Modules/FindXercesC.cmake
+++ b/mk/cmake/Modules/FindXercesC.cmake
@@ -83,6 +83,9 @@
 	 /usr/lib
 	 /usr/local/lib
 	)
+	
+	FIND_LIBRARY(ICUUC_LIBRARY NAMES libicuuc.a)
+	FIND_LIBRARY(ICUDATA_LIBRARY NAMES libicudata.a)
 
 	IF (XERCESC_INCLUDE AND XERCESC_LIBRARY)
                 MESSAGE(STATUS "Found static Xerces-C lib [${XERCESC_LIBRARY}]")
@@ -90,7 +93,7 @@
 
 		IF(UNIX AND NOT APPLE)
 			#SET(XERCESC_LIBRARY "-Bstatic ${XERCESC_LIBRARY} -Bdynamic -licuuc -licudata")
-			SET(XERCESC_LIBRARY "-Bstatic ${XERCESC_LIBRARY}")
+			SET(XERCESC_LIBRARY "-Bstatic ${XERCESC_LIBRARY} ${ICUUC_LIBRARY}  ${ICUDATA_LIBRARY}")
 		ENDIF()
 	ENDIF()
 ENDIF()
--- a/mk/cmake/Modules/FindFriBiDi.cmake
+++ b/mk/cmake/Modules/FindFriBiDi.cmake
@@ -28,9 +28,9 @@
 SET(FRIBIDI_NAMES ${FRIBIDI_NAMES} fribidi libfribidi)
 
 OPTION(WANT_STATIC_LIBS "builds as many static libs as possible" OFF)
-IF(WANT_STATIC_LIBS)
-	SET(FRIBIDI_NAMES fribidi.a libfribidi.a ${FRIBIDI_NAMES})
-ENDIF()
+#IF(WANT_STATIC_LIBS)
+#	SET(FRIBIDI_NAMES fribidi.a libfribidi.a ${FRIBIDI_NAMES})
+#ENDIF()
 
 MESSAGE(STATUS "** Searching for library names: [${FRIBIDI_NAMES}] ...")
 
